Package org.eclipse.birt.report.model.api.extension

# Class ReportItemFactory

java.lang.Object
org.eclipse.birt.report.model.api.extension.ReportItemFactory

All Implemented Interfaces:
  `IReportItemFactory`

public abstract class ReportItemFactory extends Object implements IReportItemFactory
Adapter class for the IReportItemFactory interface.

## Constructor Summary

Constructors
Constructor
Description
`ReportItemFactory()`

## Method Summary

Modifier and Type
Method
Description
`IStyleDeclaration[]`
`getFactoryStyles(String extensionName)`
Returns the list of default styles that defined for the extension element.
`abstract IMessages`
`getMessages()`
Returns the `IMessages`, which can get localized message for the given resource key and locale.
`abstract IReportItem`
`newReportItem(DesignElementHandle extendedItemHandle)`
Creates a new instance of the extended element given a handle to the BIRT report element that represents the extended element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReportItemFactory

public ReportItemFactory()

## Method Details

### newReportItem

public abstract IReportItem newReportItem(DesignElementHandle extendedItemHandle)
Description copied from interface: `IReportItemFactory`
Creates a new instance of the extended element given a handle to the BIRT report element that represents the extended element.

Specified by:
  `newReportItem` in interface `IReportItemFactory`
Parameters:
  `extendedItemHandle` - the BIRT report item that represents the extended element
Returns:
  a new peer element

### getMessages

public abstract IMessages getMessages()
Description copied from interface: `IReportItemFactory`
Returns the `IMessages`, which can get localized message for the given resource key and locale.

Specified by:
  `getMessages` in interface `IReportItemFactory`
Returns:
  the I18N class implementing `IMessages`

### getFactoryStyles

public IStyleDeclaration[] getFactoryStyles(String extensionName)
Description copied from interface: `IReportItemFactory`
Returns the list of default styles that defined for the extension element.

Specified by:
  `getFactoryStyles` in interface `IReportItemFactory`
Parameters:
  `extensionName` - the extension name of the element
Returns:
  default style list.